{% extends 'base.html.twig' %}

{% block title %}Hello AcceuilController!{% endblock %}

{% block body %}



{# <div class="box">Box</div> #}

<div data-bs-spy="scroll" data-bs-target="navbarNavAltMarkup" data-bs-offset="0" class="scrollspy-example" tabindex="0">
    <section id="home" class="" style="height:100vh;">
        {% include 'navbar.html.twig' %}

        <div class="row">
            {% include 'components/section_home.html.twig' %}
        </div>

        {# Ecriture de la partie home. Une photo, une animation des liens, mon prenom #}
        {# <div class="max-w-sm bg-white rounded-lg border border-gray-200 shadow-md dark:bg-gray-800 dark:border-gray-700 my-8 mr-4">

            <div class="p-5">
                <h5 class="mb-2 text-2xl font-bold tracking-tight text-gray-900 dark:text-white">{% trans %}bienvenue{% endtrans %}</h5>
            </div>
        </div> #}
    </section>
    {# {{ dump(projets) }} #}
    <section id="about" class="border border-dark" style="height:100vh;">
        <div class="container">
            <div>
                <h1 class="text-center my-4">A propos</h1>
            </div>
            <div class="row">
                <div class="col-4"></div>
                <div class="col-4"></div>
                <div class="col-4"></div>
            </div>
        </div>
    </section>

    <section id="projects" class="border border-dark" style="height:50vh;">
        <div class="container-fluid">
            <div>
                <h1 class="text-center my-4">Mes projets</h1>
            </div>
            <div class="row">
                {% for projet in projets %}
                    <div class="col-md-4">
                        <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">{{ projet.nom }}</h5>
                            <p class="card-text">{{ projet.description }}</p>
                            <a href="#" class="btn btn-primary">{{ projet.id }}</a>
                        </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </section>

    <section id="contact" class="border border-dark" style="height:100vh;">
        <div>
            <h1 class="text-center my-4">Contact</h1>
        </div>
    </section>
</div>
{% endblock %}
